org.jbpm.ruleflow.core.factory

## Class CompositeNodeFactory

- java.lang.Object
- - org.jbpm.ruleflow.core.RuleFlowNodeContainerFactory
  - - org.jbpm.ruleflow.core.factory.CompositeNodeFactory

-     public class CompositeNodeFactory
      extends RuleFlowNodeContainerFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompositeNodeFactory(RuleFlowNodeContainerFactory nodeContainerFactory, NodeContainer nodeContainer, long id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RuleFlowNodeContainerFactory` | `done()`
    `CompositeNodeFactory` | `exceptionHandler(String exception, ExceptionHandler exceptionHandler)`
    `CompositeNodeFactory` | `exceptionHandler(String exception, String dialect, String action)`
    `protected CompositeContextNode` | `getCompositeNode()`
    `CompositeNodeFactory` | `linkIncomingConnections(long nodeId)`
    `CompositeNodeFactory` | `linkOutgoingConnections(long nodeId)`
    `CompositeNodeFactory` | `name(String name)`
    `CompositeNodeFactory` | `variable(String name, org.drools.core.process.core.datatype.DataType type)`
    `CompositeNodeFactory` | `variable(String name, org.drools.core.process.core.datatype.DataType type, Object value)`

    - ### Methods inherited from class org.jbpm.ruleflow.core.RuleFlowNodeContainerFactory

      `actionNode, boundaryEventNode, compositeNode, connection, dynamicNode, endNode, eventNode, faultNode, forEachNode, getNodeContainer, humanTaskNode, joinNode, milestoneNode, ruleSetNode, setNodeContainer, splitNode, startNode, subProcessNode, timerNode, workItemNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompositeNodeFactory

          public CompositeNodeFactory(RuleFlowNodeContainerFactory nodeContainerFactory,
                                      NodeContainer nodeContainer,
                                      long id)

  - ### Method Detail

    - #### getCompositeNode

          protected CompositeContextNode getCompositeNode()

    - #### name

          public CompositeNodeFactory name(String name)

    - #### variable

          public CompositeNodeFactory variable(String name,
                                               org.drools.core.process.core.datatype.DataType type)

    - #### variable

          public CompositeNodeFactory variable(String name,
                                               org.drools.core.process.core.datatype.DataType type,
                                               Object value)

    - #### exceptionHandler

          public CompositeNodeFactory exceptionHandler(String exception,
                                                       ExceptionHandler exceptionHandler)

    - #### exceptionHandler

          public CompositeNodeFactory exceptionHandler(String exception,
                                                       String dialect,
                                                       String action)

    - #### linkIncomingConnections

          public CompositeNodeFactory linkIncomingConnections(long nodeId)

    - #### linkOutgoingConnections

          public CompositeNodeFactory linkOutgoingConnections(long nodeId)

    - #### done

          public RuleFlowNodeContainerFactory done()

      Specified by:
        `done` in class `RuleFlowNodeContainerFactory`

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.